ST_Force3DZ
Prev | 8.5. Geometry Editors | Next

## Name

ST_Force3DZ — Force the geometries into XYZ mode.

## Synopsis

`geometry ST_Force3DZ(`geometry geomA, float Zvalue = 0.0`)`;

## Description

Forces the geometries into XYZ mode. If a geometry has no Z component, then a `Zvalue` Z coordinate is tacked on.

Enhanced: 2.0.0 support for Polyhedral surfaces was introduced.

Changed: 2.1.0. Up to 2.0.x this was called ST_Force_3DZ.

Changed: 3.1.0. Added support for supplying a non-zero Z value.

This function supports Polyhedral surfaces.

This function supports 3d and will not drop the z-index.

This method supports Circular Strings and Curves

## Examples

    --Nothing happens to an already 3D geometry
    SELECT ST_AsEWKT(ST_Force3DZ(ST_GeomFromEWKT('CIRCULARSTRING(1 1 2, 2 3 2, 4 5 2, 6 7 2, 5 6 2)')));
    				   st_asewkt
    -----------------------------------------------
     CIRCULARSTRING(1 1 2,2 3 2,4 5 2,6 7 2,5 6 2)

    SELECT  ST_AsEWKT(ST_Force3DZ('POLYGON((0 0,0 5,5 0,0 0),(1 1,3 1,1 3,1 1))'));

    						 st_asewkt
    --------------------------------------------------------------
     POLYGON((0 0 0,0 5 0,5 0 0,0 0 0),(1 1 0,3 1 0,1 3 0,1 1 0))

## See Also

ST_AsEWKT, ST_Force2D, ST_Force3DM, ST_Force3D

Prev | Up | Next
ST_Force3D | Home | ST_Force3DM